curl --location --request POST 'https://api.upmarket.ai/customers/initialize' \
--header 'Content-Type: application/json' \
--header 'x-upmarket-key: xxxxxxxxxxxxxxxxxxx' \
--data-raw '{
"client_customer_id": "",
"journey_id": "",
"customer_type": "",
"customer_name": ""
}'
const axios = require('axios');
const response = await axios.post(
'https://api.upmarket.ai/customers/initialize',
{
'client_customer_id': '',
'journey_id': '',
'customer_type': '',
'customer_name': ''
},
{
headers: {
'Content-Type': 'application/json',
'x-upmarket-key': 'xxxxxxxxxxxxxxxxxxx'
}
}
);
import requests
headers = {
'Content-Type': 'application/json',
'x-upmarket-key': 'xxxxxxxxxxxxxxxxxxx',
}
json_data = {
'client_customer_id': '',
'journey_id': '',
'customer_type': '',
'customer_name': ''
}
response = requests.post('https://api.upmarket.ai/customers/initialize', headers=headers, json=json_data)
data: "customer_id"
Customers
Initialize
This endpoint is used when you initialize your application’s front end
POST
/
customers
/
initialize
curl --location --request POST 'https://api.upmarket.ai/customers/initialize' \
--header 'Content-Type: application/json' \
--header 'x-upmarket-key: xxxxxxxxxxxxxxxxxxx' \
--data-raw '{
"client_customer_id": "",
"journey_id": "",
"customer_type": "",
"customer_name": ""
}'
const axios = require('axios');
const response = await axios.post(
'https://api.upmarket.ai/customers/initialize',
{
'client_customer_id': '',
'journey_id': '',
'customer_type': '',
'customer_name': ''
},
{
headers: {
'Content-Type': 'application/json',
'x-upmarket-key': 'xxxxxxxxxxxxxxxxxxx'
}
}
);
import requests
headers = {
'Content-Type': 'application/json',
'x-upmarket-key': 'xxxxxxxxxxxxxxxxxxx',
}
json_data = {
'client_customer_id': '',
'journey_id': '',
'customer_type': '',
'customer_name': ''
}
response = requests.post('https://api.upmarket.ai/customers/initialize', headers=headers, json=json_data)
data: "customer_id"
Header
default:"xxxxxxxxxxxxxxxxxxx"
required
This is the API Key you generated from Upmarket.
Body
string
required
client_customer_id is the unique identifier for a customer in the source system. Some examples of good client_customer_ids are user uids, an account ids, or customer ids.
string
required
journey_id of the Upmarket journey the customer is associated with.
string
required
customer_type the type of customer, either ‘account’ or ‘contact’
string
required
customer_name the name of the customer
Response
string
A successful request will return a customer_id
curl --location --request POST 'https://api.upmarket.ai/customers/initialize' \
--header 'Content-Type: application/json' \
--header 'x-upmarket-key: xxxxxxxxxxxxxxxxxxx' \
--data-raw '{
"client_customer_id": "",
"journey_id": "",
"customer_type": "",
"customer_name": ""
}'
const axios = require('axios');
const response = await axios.post(
'https://api.upmarket.ai/customers/initialize',
{
'client_customer_id': '',
'journey_id': '',
'customer_type': '',
'customer_name': ''
},
{
headers: {
'Content-Type': 'application/json',
'x-upmarket-key': 'xxxxxxxxxxxxxxxxxxx'
}
}
);
import requests
headers = {
'Content-Type': 'application/json',
'x-upmarket-key': 'xxxxxxxxxxxxxxxxxxx',
}
json_data = {
'client_customer_id': '',
'journey_id': '',
'customer_type': '',
'customer_name': ''
}
response = requests.post('https://api.upmarket.ai/customers/initialize', headers=headers, json=json_data)
data: "customer_id"

